<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars_c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c"></a>- c -</h3><ul>
<li>CallExpr_scalar
: <a class="el" href="struct_sub_level_properties.html#a628bfd7eaebe38364b6c11627647c9fa">SubLevelProperties</a>
</li>
<li>CallExprPosition
: <a class="el" href="struct_call_expr_properties.html#ae4f3ecc981f8ef13081c23e4fb755639">CallExprProperties</a>
</li>
<li>CapturedTextPerLocation
: <a class="el" href="struct_location_info_details.html#a279ab3e8db333f36e921278d1b1f7fdd">LocationInfoDetails</a>
</li>
<li>childIndex
: <a class="el" href="structident__type.html#adfbf2f8ab2f522e31263b829b1bd107c">ident_type</a>
</li>
<li>childKey
: <a class="el" href="structident__type.html#a1e277fd036cb9c74885f72dc7f82289f">ident_type</a>
</li>
<li>children
: <a class="el" href="struct_decl_ref_expr_type.html#a7b61b8f8125851db3c2e5687aa1b5d37">DeclRefExprType</a>
, <a class="el" href="struct_decl_type.html#a621b4a5a3113836e3158ab631bcbb518">DeclType</a>
, <a class="el" href="struct_def_type.html#a66af1d7489b1eb3d7a03542daac0d695">DefType</a>
, <a class="el" href="structif_type.html#ace8eda3f8efd6dac822b8b9c369f9920">ifType</a>
, <a class="el" href="struct_process_body_type.html#afa5232af5bca60f8a35bd08965b2f9c9">ProcessBodyType</a>
</li>
<li>CMakeListsTxt
: <a class="el" href="struct_arte_fact_check__type.html#ab2dd44cd70c82c72cb5bffc677dd06d3">ArteFactCheck_type</a>
</li>
<li>CodeExcerpt
: <a class="el" href="struct_exp_eval.html#ab38e82907428358f36e45fee6ad3d4d9">ExpEval</a>
, <a class="el" href="struct_source_code_snippet.html#a36ebf849fc308f1c4a6ed39c481aa773">SourceCodeSnippet</a>
</li>
<li>Column
: <a class="el" href="struct_all_loc_info.html#a810152cdb701cdbe664332acc98021fa">AllLocInfo</a>
</li>
<li>column
: <a class="el" href="struct_pos_as_string.html#a931cdf55b618fd8168984ee9cf80f1db">PosAsString</a>
</li>
<li>ColumnOfMatchEnd
: <a class="el" href="struct_location_info_details.html#a1094200ef3c3bee0db917af7d217dc79">LocationInfoDetails</a>
</li>
<li>ColumnOfMatchStart
: <a class="el" href="struct_location_info_details.html#a75bfdf90f6790fb25972148856f04841">LocationInfoDetails</a>
</li>
<li>CompileCommands
: <a class="el" href="struct_arte_fact_check__type.html#a8cd9aa23a72c119335403c2374de6e24">ArteFactCheck_type</a>
</li>
<li>compu_ref
: <a class="el" href="structaxis__type.html#ab69233b879afb2f655007dd04330d6f8">axis_type</a>
, <a class="el" href="struct_cal_prm__type.html#a82daeea71ffa3dc9726ef7ad741d0437">CalPrm_type</a>
</li>
<li>CompuRatFuncDenominator
: <a class="el" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">Variable_type</a>
</li>
<li>CompuRatFuncNumerator
: <a class="el" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">Variable_type</a>
</li>
<li>ConcatenatedTokens
: <a class="el" href="struct_exp_eval.html#a4a3dacad3dea877a648f6bf98d023d65">ExpEval</a>
</li>
<li>ConstVolatile
: <a class="el" href="struct_variable__type.html#a8be7260e81db396e7299c0af539f6717">Variable_type</a>
</li>
<li>current_level
: <a class="el" href="struct_binary_op_properties.html#a2469466402f2ca547f9e4f98546aa5af">BinaryOpProperties</a>
, <a class="el" href="struct_sub_level_properties.html#a64262bfa983cfbaa7c00ae8d549a6a83">SubLevelProperties</a>
</li>
<li>CurrentToken
: <a class="el" href="struct_tk_pair.html#a09aa40cee27b55004efdf1363aaa492a">TkPair</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
